%define _requires_exceptions devel\\(.*\\)

Name:           akonadi-mime
Version: 		23.08.5
Release:        %mkrel 1
Summary:        Akonadi Mime Integration
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE5
URL:            https://www.kde.org/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires: lib64xslt-devel
BuildRequires: shared-mime-info
BuildRequires: cmake
BuildRequires: lib64boost-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5akonadi-devel
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5dbusaddons-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5mime-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: pkgconfig 
BuildRequires: qtbase5-common-devel 
BuildRequires: xsltproc 

Requires: lib64kf5akonadimime5

%description
Akonadi Mime Integration.

%files
%_kf5_datadir/config.kcfg/specialmailcollections.kcfg
%_kf5_datadir/mime/packages/x-vnd.kde.contactgroup.xml
%_kf5_datadir/locale
%_kf5_datadir/qlogging-categories5/akonadi-mime.categories
%_kf5_datadir/akonadi/plugins/serializer/akonadi_serializer_mail.desktop
#--------------------------------------------------------------------

%define kf5akonadimime_major 5
%define libkf5akonadimime %mklibname kf5akonadimime %{kf5akonadimime_major}

%package -n %{libkf5akonadimime}
Summary:      Akonadi Mime Integration main library
Group:        System/Libraries
Requires:   %name

%description -n %{libkf5akonadimime}
Akonadi Mime Integration main library.

%files -n %{libkf5akonadimime}
%_kf5_libdir/lib*.so.*
%_kf5_libdir/qt5/plugins/akonadi_serializer_mail.so
#--------------------------------------------------------------------

%define kf5akonadimime_devel %mklibname kf5akonadimime -d

%package -n %{kf5akonadimime_devel}
Summary:        Devel stuff for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{libkf5akonadimime} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{kf5akonadimime_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{kf5akonadimime_devel}
%_kf5_libdir/*.so
%_kf5_libdir/cmake
%_libdir/qt5/mkspecs
%{_includedir}
#--------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

